TEMPLATE = app

CONFIG += release qt thread

unix {
target.path	=  /usr/local/bin
INSTALLS	+= target
INCLUDEPATH	+= /usr/include/exiv2
LIBS		+= -lexiv2
#openEXR dependencies 
INCLUDEPATH += /usr/include/OpenEXR
LIBS += -lIlmImf -lImath -lHalf -lIex
#TOADD ~= s/-I/
#INCLUDEPATH += $$TOADD
#LIBS += -lfftw3f -lm -lz
#INCLUDEPATH += /usr/include
#CONFIG += debug
#CONFIG -= x11
}
win32 {
CONFIG += windows
#CONFIG += debug
#CONFIG += console
LIBS            += -lexiv2 -LC:\msys\1.0\local\lib
#LIBS += -lIlmImf -lImath -lHalf -lIex
#LIBS += -LC:\devcppprojects\temp
#INCLUDEPATH += C:\cygwin\usr\local\include\OpenEXR 
INCLUDEPATH += C:\msys\1.0\local\include\exiv2
#DEFINES += OPENEXR_DLL
RC_FILE = src/qtpfsgui_ico.rc
}

INCLUDEPATH += src/libpfs src/fileformat src/hdrcreate src/ashikhmin02 src/drago03 src/durand02 src/fattal02 src/pattanaik00 src/reinhard02

FORMS = forms/maingui.ui \
        forms/hdrwizardform.ui \
        forms/tonemappingdialog.ui \
        forms/help_about.ui

RESOURCES = icons.qrc

HEADERS += src/libpfs/array2d.h \
           src/libpfs/pfs.h \
           src/maingui_impl.h \
           src/hdrwizardform_impl.h \
           src/tonemappingdialog_impl.h \
           src/hdrcreate/createhdr.h \
           src/hdrcreate/robertson02.h \
           src/hdrcreate/responses.h   \
           src/hdrcreate/icip06.h \
           src/imagehdrviewer.h \
           src/luminancerange_widget.h \
           src/histogram.h \
           src/gang.h \
           src/fileformat/rgbeio.h \
           src/ashikhmin02/pyramid.h \
           src/ashikhmin02/tmo_ashikhmin02.h \
           src/drago03/tmo_drago03.h \
           src/durand02/tmo_durand02.h \
           src/durand02/bilateral.h \
           src/fattal02/tmo_fattal02.h \
           src/fattal02/pde.h \
           src/pattanaik00/tmo_pattanaik00.h \
           src/reinhard02/tmo_reinhard02.h

SOURCES += src/libpfs/pfs.cpp \
           src/libpfs/colorspace.cpp \
           src/main.cpp \
           src/maingui_impl.cpp \
           src/tonemappingdialog_impl.cpp \
           src/hdrcreate/createhdr.cpp \
           src/hdrwizardform_impl.cpp \
           src/hdrcreate/robertson02.cpp  \
           src/hdrcreate/responses.cpp  \
           src/hdrcreate/icip06.cpp \
           src/imagehdrviewer.cpp \
           src/luminancerange_widget.cpp \
           src/histogram.cpp \
           src/gang.cpp \
           src/filter/pfsrotate.cpp \
           src/filter/pfssize.cpp \
           src/filter/pfsgamma.cpp \
           src/fileformat/pfsinrgbe.cpp \
           src/fileformat/pfsoutrgbe.cpp \
           src/fileformat/rgbeio.cpp \
           src/fileformat/pfsoutldrimage.cpp \
           src/ashikhmin02/pfstmo_ashikhmin02.cpp \
           src/ashikhmin02/tmo_ashikhmin02.cpp \
           src/drago03/pfstmo_drago03.cpp \
           src/drago03/tmo_drago03.cpp \
           src/durand02/pfstmo_durand02.cpp \
           src/durand02/tmo_durand02.cpp \
           src/durand02/bilateral.cpp \
           src/fattal02/pfstmo_fattal02.cpp \
           src/fattal02/tmo_fattal02.cpp \
           src/fattal02/pde.cpp \
           src/reinhard04/pfstmo_reinhard04.cpp \
           src/pattanaik00/tmo_pattanaik00.cpp \
           src/pattanaik00/pfstmo_pattanaik00.cpp \
           src/reinhard02/pfstmo_reinhard02.cpp \
           src/reinhard02/tmo_reinhard02.cpp \
           src/reinhard02/approx.cpp

unix {
SOURCES += src/fileformat/pfsinexr.cpp \
           src/fileformat/pfsoutexr.cpp
#unused:
#src/libpfs/pfsutils.cpp
}

TARGET = qtpfsgui

MOC_DIR = generated_moc
OBJECTS_DIR = generated_obj
UI_DIR = generated_uic
